
$(function () {

    /*
     * 入力文字のエスケープ関数
     */
    function htmlspecialchars(ch) {
        ch = ch.replace(/&/g, "&amp;");
        ch = ch.replace(/"/g, "&quot;");
        ch = ch.replace(/'/g, "&#039;");
        ch = ch.replace(/</g, "&lt;");
        ch = ch.replace(/>/g, "&gt;");
        return ch;
    }
    ;

    var month_flag = $(":input[name=month_flag]:checked").val();

    //デフォルトでは配送ペースを見せない
    $(".hidden_second_day").hide();


    //商品IDに紐付いた決済方法を自動切り替え
    var changePayment = function () {
        var item_id = $("#easybuy_value option:selected").attr("item_id");
        var df = $.Deferred();
        var hidden_payment = $("#hidden_payment").val();
        $.ajax({
            url: '/ajax/payment_change',
            dataType: 'json',
            type: "POST",
            data: {
                item_id: item_id
            },
            cache: false,
            success: function (json) {
                if (json) {
                    num = json.length;
                    $('#reg_payment label').remove();
                    for (i = 0; i < num; i = i + 1) {
                        if (hidden_payment == json[i]["pym_id"]) {
                            $('#reg_payment').append("<label><input type='radio' name='payment' value='" + json[i]["pym_id"] + "' checked />" + json[i]['pym_name'] + "</label>  ");
                        } else {
                            $('#reg_payment').append("<label><input type='radio' name='payment' value='" + json[i]["pym_id"] + "' />" + json[i]['pym_name'] + "</label>  ");
                        }
                    }

                    // EFOオプションが有効な場合、EFOオプション制御
                    if (typeof cartBase.Efo === "function") {
                        var base = new cartBase.Efo();
                        base.requiredCheck(true);
                    }
                }

                df.resolve();
            }
        });
        return df.promise();

    };

    //商品IDに紐付いたお届け希望日を自動切り替え
    var changeDay = function () {
        var item_id = $("#easybuy_value option:selected").attr("item_id");
        var df = $.Deferred();

        $.ajax({
            url: '/ajax/change/day',
            dataType: 'json',
            type: "POST",
            data: {
                item_id: item_id
            },
            cache: false,
            success: function (json) {
                if (json) {

                    num = json.length;
                    $(':input[name=delivery_date] option').remove();
                    for (i = 0; i < num; i = i + 1) {
                        $(':input[name=delivery_date]').append("<option value='" + i + "'>" + json[i]['value'] + "</option>");
                    }
                    ;
                }

                df.resolve();
            }
        });
        return df.promise();

    };

    //商品IDに紐付いた配送ペースを自動切り替え
    var changePase = function () {

        var item_id = $("#easybuy_value option:selected").attr("item_id");
        var df = $.Deferred();

        var reg_pase_hidden = $("#reg_pase_hidden").val();

        $.ajax({
            url: '/ajax/change/pase',
            dataType: 'json',
            type: "POST",
            data: {
                item_id: item_id
            },
            cache: false,
            success: function (json) {
                if (json) {
                    if (json[0]['request_select'] == 1) {
                        num = json.length;
                        $(".hidden_second_day").show();
                        $(':input[name=regury_pase] option').remove();
                        //$(":input[name=regury_pase]").append('<option value="">▼選択</option>');
                        for (i = 0; i < num; i = i + 1) {
                            if (reg_pase_hidden == json[i]['reg_pase']) {
                                $(':input[name=regury_pase]').append("<option value='" + json[i]['reg_pase'] + "' selected>" + json[i]['reg_name'] + "</option>");
                            } else {
                                $(':input[name=regury_pase]').append("<option value='" + json[i]['reg_pase'] + "'>" + json[i]['reg_name'] + "</option>");
                            }
                        }

                        if (json[0]['reg_pase'] == "1W" || json[0]['reg_pase'] == "2W" || json[0]['reg_pase'] == "3W") {
                            $("#month_select_area").hide();
                            $("#week_select_area").show();
                        } else {
                            $("#month_select_area").show();
                            $("#week_select_area").hide();
                        }

                    } else {
                        $(".hidden_second_day").hide();
                    }
                } else {
                    $(".hidden_second_day").hide();
                }

                if (reg_pase_hidden != "") {
                    if (reg_pase_hidden == "1W" || reg_pase_hidden == "2W" || reg_pase_hidden == "3W") {
                        $("#month_select_area").hide();
                        $("#week_select_area").show();
                    } else {
                        $("#month_select_area").show();
                        $("#week_select_area").hide();
                    }
                }

                df.resolve();
            }
        });
        return df.promise();

    };

    //商品の個数制御
    var changeItemNum = function () {

        var item_id = $("#easybuy_value option:selected").attr("item_id");
        var item_num = $("select[name=item_num] option:selected").val();

        var df = $.Deferred();

        $.ajax({
            url: '/ajax/change/item_limit_num',
            dataType: 'json',
            type: "POST",
            data: {
                item_id: item_id
            },
            cache: false,
            success: function (json) {
                if (json) {
                    if (json !== "0") {
                        for (i = 1; i <= 10; i = i + 1) {
                            if (json < i) {
                                $('select[name=item_num] option[value="' + i + '"]').css("display", "none");
                            } else {
                                $('select[name=item_num] option[value="' + i + '"]').css("");
                            }

                            if (i === 1) {
                                if (json < item_num) {
                                    $("select[name=item_num] option").attr("selected", false);
                                    $('select[name=item_num] option[value="1"]').attr("selected", true);
                                }
                            }
                        }
                    } else {
                        for (i = 1; i <= 10; i = i + 1) {
                            $('select[name=item_num] option[value="' + i + '"]').css("display", "");
                        }
                    }
                }

                df.resolve();
            }

        });
        return df.promise();
    };


    //アンケートデータ取得
    var freeList = function () {

        var item_id = $("#easybuy_value option:selected").attr("item_id");

        var df = $.Deferred();
        $(".free_area").text("");

        $.ajax({
            url: '/ajax/free/lp',
            dataType: 'json',
            type: "POST",
            data: {
                item_id: item_id
            },
            cache: false,
            success: function (json) {
                if (json) {
                    for (i = 0; i < json.length; i++) {
                        var free_data = "";
                        var hissu = "";
                        var back_img = "";
                        if (json[i]["free_required"] === "2") {
                            hissu = "<span class='hissu'>必須</span>";
                            back_img = 'style="background-color:#dcdcdc"';
                        }

                        //テキストタイプ
                        if (json[i]["free_type"] === "text") {
                            if (json[i]["lppost"] != "")
                                back_img = 'style="background-color:#ffffff"';
                            free_data = "<input type='text' id='free_data" + json[i]["free_master_id"] + "' name='free_data[" + json[i]["free_master_id"] + "]' value='" + htmlspecialchars(json[i]["lppost"]) + "' " + json[i]["free_size"] + " onKeyup=\"backImgChange('" + json[i]["free_master_id"] + "','')\" " + back_img + " " + json[i]["view_required"] + " />";
                        }

                        //テキストボックス
                        if (json[i]["free_type"] === "textarea") {
                            if (json[i]["lppost"] != "")
                                back_img = 'style="background-color:#ffffff"';
                            free_data = "<textarea " + back_img + " id='free_data" + json[i]["free_master_id"] + "' name='free_data[" + json[i]["free_master_id"] + "]' " + json[i]['free_cols'] + " " + json[i]['free_rows'] + " style='max-width:400px;' onKeyup=\"backImgChange('" + json[i]["free_master_id"] + "','')\" " + json[i]["view_required"] + " >" + htmlspecialchars(json[i]["lppost"]) + "</textarea>";
                        }

                        //チェックボックス
                        if (json[i]["free_type"] === "checkbox") {
                            if (json[i]["list"].length > 0) {
                                var checkbox = "";

                                for (c = 0; c < json[i]["list"].length; c = c + 1) {
                                    if (json[i]['lppost'] !== "") {
                                        back_img = 'style="background-color:#ffffff"';
                                        checkbox += "<label><input onClick=\"backImgChange('" + json[i]["free_master_id"] + "','checkbox')\" id='free_data" + json[i]["free_master_id"] + "' type='checkbox' name='free_data[" + json[i]["free_master_id"] + "][]' value='" + json[i]['list'][c]['free_list_id'] + "' " + json[i]['list'][c]['checked'] + " " + json[i]["view_required"] + " />" + htmlspecialchars(json[i]['list'][c]['free_name']) + "</label>";
                                    } else {
                                        checkbox += "<label><input onClick=\"backImgChange('" + json[i]["free_master_id"] + "','checkbox')\" id='free_data" + json[i]["free_master_id"] + "' type='checkbox' name='free_data[" + json[i]["free_master_id"] + "][]' value='" + json[i]['list'][c]['free_list_id'] + "' " + json[i]["view_required"] + " />" + htmlspecialchars(json[i]['list'][c]['free_name']) + "</label>";
                                    }
                                }

                                free_data = "<span id='checkbox' " + back_img + ">" + checkbox + "</span>";
                            }
                        }

                        //セレクトボックス
                        if (json[i]["free_type"] === "select") {
                            if (json[i]["list"].length > 0) {
                                var selectbox = "<select name='free_data[" + json[i]["free_master_id"] + "]' id='free_data" + json[i]["free_master_id"] + "' " + json[i]["view_required"] + " >";
                                for (c = 0; c < json[i]["list"].length; c = c + 1) {
                                    if (json[i]["lppost"] == json[i]['list'][c]['free_list_id']) {
                                        selectbox += "<option value='" + json[i]['list'][c]['free_list_id'] + "' selected>" + htmlspecialchars(json[i]['list'][c]['free_name']) + "</option>";
                                    } else {
                                        selectbox += "<option value='" + json[i]['list'][c]['free_list_id'] + "'>" + htmlspecialchars(json[i]['list'][c]['free_name']) + "</option>";
                                    }
                                }
                                selectbox += "</select>";
                                free_data = selectbox;
                            }
                        }

                        //ラジオボタン
                        if (json[i]["free_type"] === "radio") {
                            if (json[i]["list"].length > 0) {
                                var radiobox = "";

                                for (c = 0; c < json[i]["list"].length; c = c + 1) {
                                    if (json[i]["lppost"] == "") {
                                        if (c == 0) {
                                            radio_checked = "checked";
                                        } else {
                                            radio_checked = "";
                                        }
                                    } else {
                                        if (json[i]["lppost"] == json[i]['list'][c]['free_list_id']) {
                                            radio_checked = "checked";
                                        } else {
                                            radio_checked = "";
                                        }
                                    }

                                    radiobox += "<label><input id='free_data" + json[i]["free_master_id"] + "' type='radio' name='free_data[" + json[i]["free_master_id"] + "]' value='" + json[i]['list'][c]['free_list_id'] + "' " + radio_checked + " " + json[i]["view_required"] + " />" + htmlspecialchars(json[i]['list'][c]['free_name']) + "</label>";

                                }
                                free_data = radiobox;
                            }
                        }

                        var plus = "<input type='hidden' id='free_title" + json[i]["free_master_id"] + "' name='free_title[" + json[i]["free_master_id"] + "]' value='" + htmlspecialchars(json[i]['free_title']) + "' />\n\
                                        <input type='hidden' class='free_master_ids' id='free_master_id" + json[i]["free_master_id"] + "' name='free_master_id[" + json[i]["free_master_id"] + "]' value='" + json[i]['free_master_id'] + "' />\n\
                                        <input type='hidden' id='free_type" + json[i]["free_master_id"] + "' name='free_type[" + json[i]["free_master_id"] + "]' value='" + json[i]['free_type'] + "' />\n\
                                        <input type='hidden' id='free_required" + json[i]["free_master_id"] + "' name='free_required[" + json[i]["free_master_id"] + "]' value='" + json[i]['free_required'] + "' />\n\
                                        <input type='hidden' id='free_point" + json[i]["free_master_id"] + "' name='free_point[" + json[i]["free_master_id"] + "]' value='" + json[i]['free_point'] + "' />\n\
                                        <input type='hidden' id='free_count' name='free_count' value='" + json.length + "' />";

                        free_data += plus;

                        if (json[i]["carrier"] == "p") {
                            $(".free_area").append("<tr><th>" + json[i]["free_title"] + "" + hissu + "</th><td>" + free_data + "</td></tr>");
                        } else {
                            $(".free_area").append("<tr><th>" + json[i]["free_title"] + "" + hissu + "</th></tr><tr><td>" + free_data + "</td></tr>");
                        }
                    }

                }
                // EFOオプションが有効な場合、EFOオプション制御
                if (typeof cartBase.Efo === "function") {
                    var base = new cartBase.Efo();
                    base.requiredCheck(true);
                }
                df.resolve();
            },
            error: function (json) {
                console.log(json);
            }
        });
        return df.promise();
    };



    //商品選択を切り替えたとき
    $('#easybuy_value').change(function () {
        changePayment();
        changeDay();
        changePase();
        changeItemNum();
        freeList();

        $(".creditInputForm").hide();
        $(".convenienceForm").hide();
        $(".npForm").hide();
        $(".credit").hide();

        form_color();
    });


    //値がPOSTされてエラー出た時
    var p_easybuy_value = $(":input[name=easybuy_value]").val();

    if (p_easybuy_value != "") {
        changePase();
        changeItemNum();
        if (p_easybuy_value != 0) {
            freeList();
        }
    }

    //フォームのバックグランドカラーを変更////////////////////////////////////
    var form_color = function () {

        //バックグラウンドカラー
        var back_image = "#dcdcdc";
        //デフォルトカラー
        var default_image = "#ffffff";

        //フォームの値
        var c_easybuy_value = $(":input[name=easybuy_value]").val();
        var c_family_name = $(":input[name=family_name]").val();
        var c_given_name = $(":input[name=given_name]").val();
        var c_family_name_kana = $(":input[name=family_name_kana]").val();
        var c_given_name_kana = $(":input[name=given_name_kana]").val();
        var c_postal_code = $(":input[name=postal_code]").val();
        var c_pref = $(":input[name=pref]").val();
        var c_address1 = $(":input[name=address1]").val();
        var c_address2 = $(":input[name=address2]").val();
        var c_tel = $(":input[name=tel]").val();
        var c_email = $(":input[name=email]").val();
        var c_payment = $(":input[name=payment]:checked").val();

        var c_family_name2 = $(":input[name=family_name2]").val();
        var c_given_name2 = $(":input[name=given_name2]").val();
        var c_family_name_kana2 = $(":input[name=family_name_kana2]").val();
        var c_given_name_kana2 = $(":input[name=given_name_kana2]").val();
        var c_postal_code2 = $(":input[name=postal_code2]").val();
        var c_pref2 = $(":input[name=pref2]").val();
        var c_new_address1 = $(":input[name=new_address1]").val();
        var c_new_address2 = $(":input[name=new_address2]").val();
        var c_tel2 = $(":input[name=tel2]").val();


        /*****************************************
         * 確認ページから戻ってきた時のカラー変更処理
         *****************************************/
        //購入商品
        if (c_easybuy_value != "0") {
            $(":input[name=easybuy_value]").css("background-color", default_image);
        } else {
            $(":input[name=easybuy_value]").css("background-color", back_image);
        }

        //お届け先：姓
        if (c_family_name != "") {
            $(":input[name=family_name]").css("background-color", default_image);
        } else {
            $(":input[name=family_name]").css("background-color", back_image);
        }

        //お届け先：名
        if (c_given_name != "") {
            $(":input[name=given_name]").css("background-color", default_image);
        } else {
            $(":input[name=given_name]").css("background-color", back_image);
        }

        //お届け先：姓カナ
        if (c_family_name_kana != "") {
            $(":input[name=family_name_kana]").css("background-color", default_image);
        } else {
            $(":input[name=family_name_kana]").css("background-color", back_image);
        }

        //お届け先：名カナ
        if (c_given_name_kana != "") {
            $(":input[name=given_name_kana]").css("background-color", default_image);
        } else {
            $(":input[name=given_name_kana]").css("background-color", back_image);
        }

        //お届け先：郵便番号
        if (c_postal_code != "") {
            $(":input[name=postal_code]").css("background-color", default_image);
        } else {
            $(":input[name=postal_code]").css("background-color", back_image);
        }

        //お届け先：都道府県
        if (c_pref != "") {
            $(":input[name=pref]").css("background-color", default_image);
        } else {
            $(":input[name=pref]").css("background-color", back_image);
        }

        //お届け先：住所１
        if (c_address1 != "") {
            $(":input[name=address1]").css("background-color", default_image);
        } else {
            $(":input[name=address1]").css("background-color", back_image);
        }

        //お届け先：住所２
        if (c_address2 != "") {
            $(":input[name=address2]").css("background-color", default_image);
        } else {
            $(":input[name=address2]").css("background-color", back_image);
        }

        //お届け先：電話番号
        if (c_tel != "") {
            $(":input[name=tel]").css("background-color", default_image);
        } else {
            $(":input[name=tel]").css("background-color", back_image);
        }

        //請求先：姓
        if (c_family_name2 != "") {
            $(":input[name=family_name2]").css("background-color", default_image);
        } else {
            $(":input[name=family_name2]").css("background-color", back_image);
        }

        //請求先：名
        if (c_given_name2 != "") {
            $(":input[name=given_name2]").css("background-color", default_image);
        } else {
            $(":input[name=given_name2]").css("background-color", back_image);
        }

        //請求先：姓カナ
        if (c_family_name_kana2 != "") {
            $(":input[name=family_name_kana2]").css("background-color", default_image);
        } else {
            $(":input[name=family_name_kana2]").css("background-color", back_image);
        }

        //請求先：名カナ
        if (c_given_name_kana2 != "") {
            $(":input[name=given_name_kana2]").css("background-color", default_image);
        } else {
            $(":input[name=given_name_kana2]").css("background-color", back_image);
        }

        //請求先：郵便番号
        if (c_postal_code2 != "") {
            $(":input[name=postal_code2]").css("background-color", default_image);
        } else {
            $(":input[name=postal_code2]").css("background-color", back_image);
        }

        //請求先：都道府県
        if (c_pref2 != "") {
            $(":input[name=pref2]").css("background-color", default_image);
        } else {
            $(":input[name=pref2]").css("background-color", back_image);
        }

        //請求先：住所１
        if (c_new_address1 != "") {
            $(":input[name=new_address1]").css("background-color", default_image);
        } else {
            $(":input[name=new_address1]").css("background-color", back_image);
        }

        //請求先：住所２
        if (c_new_address2 != "") {
            $(":input[name=new_address2]").css("background-color", default_image);
        } else {
            $(":input[name=new_address2]").css("background-color", back_image);
        }

        //請求先：電話番号
        if (c_tel2 != "") {
            $(":input[name=tel2]").css("background-color", default_image);
        } else {
            $(":input[name=tel2]").css("background-color", back_image);
        }

        //メールアドレス
        if (c_email != "") {
            $(":input[name=email]").css("background-color", default_image);
        } else {
            $(":input[name=email]").css("background-color", back_image);
        }

        //決済方法
        if (c_payment != undefined) {
            $(":input[name=payment]").parent("label").css("background-color", default_image);
        } else {
            $(":input[name=payment]").parent("label").css('background-color', back_image);
        }


        /*****************************************
         * 動作した後のカラー変更処理
         *****************************************/
        //購入商品
        $(":input[name=easybuy_value]").live('change', function () {
            if ($(this).val() == "0") {
                $(this).css("background-color", back_image);
            } else {
                $(this).css('background-color', default_image);
            }
        });

        //お届け先：姓
        $(":input[name=family_name]").blur(function () {
            if ($(this).val() == "") {
                $(this).css("background-color", back_image);
            } else {
                $(this).css('background-color', default_image);
            }
        });

        //お届け先：名
        $(":input[name=given_name]").blur(function () {
            if ($(this).val() == "") {
                $(this).css("background-color", back_image);
            } else {
                $(this).css('background-color', default_image);
            }
        });

        //お届け先：姓カナ
        $(":input[name=family_name_kana]").blur(function () {
            if ($(this).val() == "") {
                $(this).css("background-color", back_image);
            } else {
                $(this).css('background-color', default_image);
            }
        });

        //お届け先：名カナ
        $(":input[name=given_name_kana]").blur(function () {
            if ($(this).val() == "") {
                $(this).css("background-color", back_image);
            } else {
                $(this).css('background-color', default_image);
            }
        });

        //お届け先：都道府県
        $(":input[name=pref]").live('change', function () {
            if ($(this).val() == "") {
                $(this).css("background-color", back_image);
            } else {
                $(this).css('background-color', default_image);
            }
        });

        //お届け先：住所１
        $(":input[name=address1]").blur(function () {
            if ($(this).val() == "") {
                $(this).css("background-color", back_image);
            } else {
                $(this).css('background-color', default_image);
            }
        });

        //お届け先：住所２
        $(":input[name=address2]").blur(function () {
            if ($(this).val() == "") {
                $(this).css("background-color", back_image);
            } else {
                $(this).css('background-color', default_image);
            }
        });

        //お届け先：電話番号
        $(":input[name=tel]").blur(function () {
            if ($(this).val() == "") {
                $(this).css("background-color", back_image);
            } else {
                $(this).css('background-color', default_image);
            }
        });

        //請求先：姓
        $(":input[name=family_name2]").blur(function () {
            if ($(this).val() == "") {
                $(this).css("background-color", back_image);
            } else {
                $(this).css('background-color', default_image);
            }
        });

        //請求先：名
        $(":input[name=given_name2]").blur(function () {
            if ($(this).val() == "") {
                $(this).css("background-color", back_image);
            } else {
                $(this).css('background-color', default_image);
            }
        });

        //請求先：姓カナ
        $(":input[name=family_name_kana2]").blur(function () {
            if ($(this).val() == "") {
                $(this).css("background-color", back_image);
            } else {
                $(this).css('background-color', default_image);
            }
        });

        //請求先：名
        $(":input[name=given_name_kana2]").blur(function () {
            if ($(this).val() == "") {
                $(this).css("background-color", back_image);
            } else {
                $(this).css('background-color', default_image);
            }
        });

        //請求先：都道府県
        $(":input[name=pref2]").live('change', function () {
            if ($(this).val() == "") {
                $(this).css("background-color", back_image);
            } else {
                $(this).css('background-color', default_image);
            }
        });

        //請求先：住所１
        $(":input[name=new_address1]").blur(function () {
            if ($(this).val() == "") {
                $(this).css("background-color", back_image);
            } else {
                $(this).css('background-color', default_image);
            }
        });

        //請求先：住所２
        $(":input[name=new_address2]").blur(function () {
            if ($(this).val() == "") {
                $(this).css("background-color", back_image);
            } else {
                $(this).css('background-color', default_image);
            }
        });

        //請求先：電話番号
        $(":input[name=tel2]").blur(function () {
            if ($(this).val() == "") {
                $(this).css("background-color", back_image);
            } else {
                $(this).css('background-color', default_image);
            }
        });

        //メールアドレス
        $(":input[name=email]").blur(function () {
            if ($(this).val() == "") {
                $(this).css("background-color", back_image);
            } else {
                $(this).css('background-color', default_image);
            }
        });

        //決済方法
        $(":input[name=payment]").live('change', function () {
            $(this).parent("label").css("background-color", default_image);
        });

        // EFOオプションが有効な場合、EFOオプション制御
        if (typeof cartBase.Efo === "function") {
            var base = new cartBase.Efo();
            base.requiredCheck(true);
        }
    };
    //フォームのバックグランドカラーを変更////////////////////////////////////

    //配送ペースを切り替えたとき
    $(":input[name=regury_pase]").live('change', function () {
        if ($(this).val() != 0) {
            if ($(this).val() == "1W" || $(this).val() == "2W" || $(this).val() == "3W") {
                $("#month_select_area").hide();
                $("#week_select_area").show();
            } else {
                $("#month_select_area").show();
                $("#week_select_area").hide();
            }
        }

        form_color();
    });


    //2回目以降のお届け日の月選択の制御切り替え///////////////////////////////////
    if (month_flag == 1) {
        $(":input[name=regury_num_w]").attr("disabled", "disabled");
        $(":input[name=regury_select]").attr("disabled", "disabled");
        $(":input[name=second_day]").removeAttr("disabled");
        $(":input[name=regury_num_w]").css("background-color", "#efefef");
        $(":input[name=regury_select]").css("background-color", "#efefef");
        $(":input[name=second_day]").css("background-color", "#ffffff");
    } else {
        $(":input[name=regury_num_w]").removeAttr("disabled");
        $(":input[name=regury_select]").removeAttr("disabled");
        $(":input[name=second_day]").attr("disabled", "disabled");
        $(":input[name=second_day]").css("background-color", "#efefef");
        $(":input[name=regury_num_w]").css("background-color", "#ffffff");
        $(":input[name=regury_select]").css("background-color", "#ffffff");
    }

    $(":input[name=month_flag]").live('change', function () {
        if ($(this).val() == 1) {
            $(":input[name=regury_num_w]").attr("disabled", "disabled");
            $(":input[name=regury_select]").attr("disabled", "disabled");
            $(":input[name=second_day]").removeAttr("disabled");
            $(":input[name=regury_num_w]").css("background-color", "#efefef");
            $(":input[name=regury_select]").css("background-color", "#efefef");
            $(":input[name=second_day]").css("background-color", "#ffffff");
        } else {
            $(":input[name=regury_num_w]").removeAttr("disabled");
            $(":input[name=regury_select]").removeAttr("disabled");
            $(":input[name=second_day]").attr("disabled", "disabled");
            $(":input[name=second_day]").css("background-color", "#efefef");
            $(":input[name=regury_num_w]").css("background-color", "#ffffff");
            $(":input[name=regury_select]").css("background-color", "#ffffff");
        }
    });
    //2回目以降のお届け日の月選択の制御切り替え///////////////////////////////////


    //定期購入の今すぐお申込みボタンを押した時
    $(".btn_b1").live('click', function () {
        var reg_val = $(this).attr("reg_val");

        $(".reg_num").val(0);

        $(':input[name=easybuy_value] option').each(function () {
            if ($(this).attr("item_id") == reg_val) {
                $("select[name='easybuy_value'] option[value=" + $(this).val() + "]").attr("selected", true).trigger("change");
            }
        });


        changePayment();
        changeDay();
        changePase();
        changeItemNum();
        $(".creditInputForm").hide();
        $(".convenienceForm").hide();
        $(".npForm").hide();
        $(".credit").hide();
        $(".hidden_second_day").show();
        form_color();

    });


    //まとめて申込みボタンを押した時
    $(".btn_b3").live('click', function () {
        var reg_val = $(this).attr("reg_val");

        $(".reg_num").val(2);

        $(':input[name=easybuy_value] option').each(function () {
            if ($(this).attr("item_id") == reg_val) {
                $("select[name='easybuy_value'] option[value=" + $(this).val() + "]").attr("selected", true).trigger("change");
            }
        });

        changePayment();
        changeDay();
        $(".hidden_second_day").hide();
        form_color();

    });


    //通常購入の今すぐお申込みボタンを押した時
    $(".btn_b2").live('click', function () {
        var reg_val = $(this).attr("reg_val");

        $(':input[name=easybuy_value] option').each(function () {
            if ($(this).attr("item_id") == reg_val) {
                $("select[name='easybuy_value'] option[value=" + $(this).val() + "]").attr("selected", true).trigger("change");
            }
        });

        changePayment();
        changeDay();
        $(".hidden_second_day").hide();
        form_color();

    });


    changePayment();
    form_color();
    
});

/*
 * アンケート必須化処理
 */
function backImgChange(key, type) {
    var image = "";

    if (type === "checkbox") {

        //チェックボックス
        var num = 0;
        $("[name='free_data[" + key + "][]']:checked").each(function () {
            var flag = $(this).val();
            if (flag !== "") {
                num = parseInt(num) + parseInt(1);
            }
        });

        if (num === 0) {
            $("#checkbox").css("background-color", "#dcdcdc");
        } else {
            $("#checkbox").css("background-color", "#ffffff");
        }

    } else {
        val = $("#free_data" + key + "").val();

        if (val !== "") {
            image = "#ffffff";
        } else {
            image = "#dcdcdc";
        }

        $("#free_data" + key + "").css("background-color", image);
    }


}
;

